This project has moved. For the latest updates, please go here.
1
Vote

Error while Installing package from nuget for .net core 1.1

description

OK https://api.nuget.org/v3-flatcontainer/sautinsoft.document/index.json 271ms
GET https://api.nuget.org/v3-flatcontainer/sautinsoft.document/2.4.12.23/sautinsoft.document.2.4.12.23.nupkg
OK https://api.nuget.org/v3-flatcontainer/sautinsoft.document/2.4.12.23/sautinsoft.document.2.4.12.23.nupkg 349ms
Installing sautinsoft.document 2.4.12.23.
Install-Package : Package sautinsoft.document 2.4.12.23 is not compatible with netcoreapp1.1
(.NETCoreApp,Version=v1.1). Package sautinsoft.document 2.4.12.23 supports:
  • net40 (.NETFramework,Version=v4.0)
  • net45 (.NETFramework,Version=v4.5)
    At line:1 char:1
  • Install-Package sautinsoft.document
  • ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    • CategoryInfo : NotSpecified: (:) [Install-Package], Exception
    • FullyQualifiedErrorId : NuGetCmdletUnhandledException,NuGet.PackageManagement.PowerShellCmdle
      ts.InstallPackageCommand
Install-Package : One or more packages are incompatible with .NETCoreApp,Version=v1.1.
At line:1 char:1
  • Install-Package sautinsoft.document
  • ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    • CategoryInfo : NotSpecified: (:) [Install-Package], Exception
    • FullyQualifiedErrorId : NuGetCmdletUnhandledException,NuGet.PackageManagement.PowerShellCmdle
      ts.InstallPackageCommand
Install-Package : Package sautinsoft.document 2.4.12.23 is not compatible with netcoreapp1.1
(.NETCoreApp,Version=v1.1) / win. Package sautinsoft.document 2.4.12.23 supports:
  • net40 (.NETFramework,Version=v4.0)
  • net45 (.NETFramework,Version=v4.5)
    At line:1 char:1
  • Install-Package sautinsoft.document
  • ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    • CategoryInfo : NotSpecified: (:) [Install-Package], Exception
    • FullyQualifiedErrorId : NuGetCmdletUnhandledException,NuGet.PackageManagement.PowerShellCmdle
      ts.InstallPackageCommand
Install-Package : One or more packages are incompatible with .NETCoreApp,Version=v1.1 (win).
At line:1 char:1
  • Install-Package sautinsoft.document
  • ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    • CategoryInfo : NotSpecified: (:) [Install-Package], Exception
    • FullyQualifiedErrorId : NuGetCmdletUnhandledException,NuGet.PackageManagement.PowerShellCmdle
      ts.InstallPackageCommand
Install-Package : Package sautinsoft.document 2.4.12.23 is not compatible with netcoreapp1.1
(.NETCoreApp,Version=v1.1) / win-x64. Package sautinsoft.document 2.4.12.23 supports:
  • net40 (.NETFramework,Version=v4.0)
  • net45 (.NETFramework,Version=v4.5)
    At line:1 char:1
  • Install-Package sautinsoft.document
  • ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    • CategoryInfo : NotSpecified: (:) [Install-Package], Exception
    • FullyQualifiedErrorId : NuGetCmdletUnhandledException,NuGet.PackageManagement.PowerShellCmdle
      ts.InstallPackageCommand
Install-Package : One or more packages are incompatible with .NETCoreApp,Version=v1.1 (win-x64).
At line:1 char:1
  • Install-Package sautinsoft.document
  • ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    • CategoryInfo : NotSpecified: (:) [Install-Package], Exception
    • FullyQualifiedErrorId : NuGetCmdletUnhandledException,NuGet.PackageManagement.PowerShellCmdle
      ts.InstallPackageCommand
Install-Package : Package sautinsoft.document 2.4.12.23 is not compatible with netcoreapp1.1
(.NETCoreApp,Version=v1.1) / win-x86. Package sautinsoft.document 2.4.12.23 supports:
  • net40 (.NETFramework,Version=v4.0)
  • net45 (.NETFramework,Version=v4.5)
    At line:1 char:1
  • Install-Package sautinsoft.document
  • ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    • CategoryInfo : NotSpecified: (:) [Install-Package], Exception
    • FullyQualifiedErrorId : NuGetCmdletUnhandledException,NuGet.PackageManagement.PowerShellCmdle
      ts.InstallPackageCommand
Install-Package : One or more packages are incompatible with .NETCoreApp,Version=v1.1 (win-x86).
At line:1 char:1
  • Install-Package sautinsoft.document
  • ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    • CategoryInfo : NotSpecified: (:) [Install-Package], Exception
    • FullyQualifiedErrorId : NuGetCmdletUnhandledException,NuGet.PackageManagement.PowerShellCmdle
      ts.InstallPackageCommand
Install-Package : Package restore failed. Rolling back package changes for 'WebApplication6'.
At line:1 char:1
  • Install-Package sautinsoft.document
  • ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    • CategoryInfo : NotSpecified: (:) [Install-Package], Exception
    • FullyQualifiedErrorId : NuGetCmdletUnhandledException,NuGet.PackageManagement.PowerShellCmdle
      ts.InstallPackageCommand

comments

SebastianDotNet wrote Feb 10 at 4:28 PM

I'm sorry to say, i do not own the nuget packages (because i dont want support nuget).
I gave a message to the fabulous Caio Proiete for help right now.

It looks like you have a .Net Core application right?

*Sebastian

CaioProiete wrote Feb 10 at 6:23 PM

Hi @ MAtravadi,

NetOffice does not support .NET Core yet. The only way to use NetOffice today is with the full .NET Framework (up to 4.6.2 as of today).

Cheers,
Caio Proiete